package com.rf.psychological.plan.service;

import com.rf.psychological.plan.dao.model.PlanGroupEntry;
import org.springframework.data.domain.Page;

import java.util.List;

public interface PlanGroupService {
    /**
     * 新增关联关系
     * @param planGroupEntry
     */
    void save(PlanGroupEntry planGroupEntry);

    /**
     * find by id
     *
     * @param id
     * @return
     */
    PlanGroupEntry findById(String id);

    /**
     * 分组id ===》 分组测试计划
     * @param gId
     * @return
     */
    List<PlanGroupEntry> findByGroupId(String gId);

    Page<PlanGroupEntry> findByPlanId(String planId, int pageNum, int pageSize);

    /**
     * delete
     * @param id
     */
    void deleteById(String id);

    /**
     * 删除测试计划下的所有分组信息
     * @param testPlanId
     */
    void deleteByPlanId(String testPlanId);
}
